/***********************************************************************************
 * LabTestSim - Laboratory Test Simulator using Elastoplastic models               *
 * Copyright (C) 2005 Dorival de Moraes Pedroso <dorival_pedroso em yahoo.com>     *
 *                                                                                 *
 * This file is part of LabTestSim.                                                *
 *                                                                                 *
 * LabTestSim is free software; you can redistribute it and/or modify it under the *
 * terms of the GNU General Public License as published by the Free Software       *
 * Foundation; either version 2 of the License, or (at your option) any later      *
 * version.                                                                        *
 *                                                                                 *
 * LabTestSim is distributed in the hope that it will be useful, but WITHOUT ANY   *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A *
 * PARTICULAR PURPOSE. See the GNU General Public License for more details.        *
 *                                                                                 *
 * You should have received a copy of the GNU General Public License along with    *
 * LabTestSim; if not, write to the Free Software Foundation, Inc., 51 Franklin    *
 * Street, Fifth Floor, Boston, MA 02110-1301, USA                                 *
 ***********************************************************************************/

#ifndef LABTESTSIM_GUI_H
#define LABTESTSIM_GUI_H

#include "../inputdata.h"
#include "mywindow.h"

class Gui
{
public:
	Gui(int argc, char **argv,
	 	bool (*pRunSim)(InputData & ID), 
	 	bool (*pGenPltFiles)(InputData & ID));
private:
	bool    (*_pRunSim)(InputData & ID);
	bool    (*_pGenPltFiles)(InputData & ID);
	MyWindow * _pWin;
};

#endif // LABTESTSIM_GUI_H
