###################################################################################
# LabTestSim - Laboratory Test Simulator using Elastoplastic models               #
# Copyright (C) 2005 Dorival de Moraes Pedroso <dorival_pedroso em yahoo.com>     #
#                                                                                 #
# This file is part of LabTestSim.                                                #
#                                                                                 #
# LabTestSim is free software; you can redistribute it and/or modify it under the #
# terms of the GNU General Public License as published by the Free Software       #
# Foundation; either version 2 of the License, or (at your option) any later      #
# version.                                                                        #
#                                                                                 #
# LabTestSim is distributed in the hope that it will be useful, but WITHOUT ANY   #
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A #
# PARTICULAR PURPOSE. See the GNU General Public License for more details.        #
#                                                                                 #
# You should have received a copy of the GNU General Public License along with    #
# LabTestSim; if not, write to the Free Software Foundation, Inc., 51 Franklin    #
# Street, Fifth Floor, Boston, MA 02110-1301, USA                                 #
###################################################################################

WITH_GUI = -DWITHGUI

CC      = g++
CFLAGS  = -g -Wall $(WITH_GUI)
#CFLAGS  = -O2 -DNDEBUG $(WITH_GUI)
XPAT    = ../lib
INCS    = -I$(HOME)/opt/include -I$(XPAT)
LIBS    = -L$(HOME)/opt/lib
LDFLAGS = -lmechsys

XDEPS_  = labtestsim.h readmat.h
XDEPS   = $(patsubst %,$(XPAT)/%,$(XDEPS_))
XOBJS   = $(patsubst %,$(XPAT)/%,$(XDEPS_:.h=.o))

PROG    = labtestsim
SRCS    = main.cpp
OBJS    = $(SRCS:.cpp=.o)

ifdef WITH_GUI
XPAT2   = ./gui
export GLADEFILEDIR := -DGLADEFILEDIR=\"$(XPAT2)\"
CFLAGS  = -g -Wall -DWITHGUI `pkg-config gtkmm-2.4 --cflags` `pkg-config libglademm-2.4 --cflags`
LDFLAGS = -lmechsys `pkg-config gtkmm-2.4 --libs` `pkg-config libglademm-2.4 --libs`
XDEPS2_ = gui.h mywindow.h
XDEPS2  = $(patsubst %,$(XPAT2)/%,$(XDEPS2_))
XOBJS2  = $(patsubst %,$(XPAT2)/%,$(XDEPS2_:.h=.o))
SUBSYS2 = subsystem2
endif

$(PROG): $(OBJS) subsystem $(SUBSYS2)
	$(CC) $(OBJS) $(XOBJS) $(XOBJS2) $(LIBS) $(LDFLAGS) -o $@

%.o: %.cpp $(XDEPS) $(XDEPS2)
	$(CC) $(CFLAGS) $(INCS) -c $<

subsystem:
	cd $(XPAT) && $(MAKE) -f simple.makefile

subsystem2:
	cd $(XPAT2) && $(MAKE) -f simple.makefile

clean:
	cd $(XPAT) && $(MAKE) -f simple.makefile clean
ifdef XPAT2
	cd $(XPAT2) && $(MAKE) -f simple.makefile clean
endif
	rm -f *.o
kill:
	cd $(XPAT) && $(MAKE) -f simple.makefile clean
ifdef XPAT2
	cd $(XPAT2) && $(MAKE) -f simple.makefile kill
endif
	rm -f *.o $(PROG)
