/*************************************************************************************
 * MechSys - A C++ library to simulate (Continuum) Mechanical Systems                *
 * Copyright (C) 2005 Dorival de Moraes Pedroso <dorival_pedroso em yahoo.com>       *
 *                                                                                   *
 * This file is part of MechSys.                                                     *
 *                                                                                   *
 * MechSys is free software; you can redistribute it and/or modify it under the      *
 * terms of the GNU General Public License as published by the Free Software         *
 * Foundation; either version 2 of the License, or (at your option) any later        *
 * version.                                                                          *
 *                                                                                   *
 * MechSys is distributed in the hope that it will be useful, but WITHOUT ANY        *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A   *
 * PARTICULAR PURPOSE. See the GNU General Public License for more details.          *
 *                                                                                   *
 * You should have received a copy of the GNU General Public License along with      *
 * MechSys; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, *
 * Fifth Floor, Boston, MA 02110-1301, USA                                           *
 *************************************************************************************/

#include "../base/mechsys.h"
#include "../models/intvars.h"
#include "../models/genericep.h"
#include "lawinteg.h"

double MechSys::LawIntegScheme<MechSys::GenericEP>::CalcNormS(
		const MechSys::Tensr2 & sig, const MechSys::IntVars & z) const
{
	double normS = 0.0;             for (int i=0; i<6; ++i)
	normS = normS + sig[i]*sig[i];  for (int i=0; i<z.Size(); ++i)
	normS = normS + z[i]*z[i];
	normS = sqrt(normS);
	return normS;
}
